com.jnape.palatable.lambda.functions.builtin.fn2

## Class Eq<A>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.Eq<A>

- Type Parameters:
    `A` - the type to compare for equality
  All Implemented Interfaces:
    Fn1<A,Fn1<A,Boolean>>, Fn2<A,A,Boolean>, BiPredicate<A,A>, Applicative<Fn1<A,Boolean>,Fn1<A,?>>, Cartesian<A,Fn1<A,Boolean>,Fn1<?,?>>, Cocartesian<A,Fn1<A,Boolean>,Fn1<?,?>>, Contravariant<A,Profunctor<?,Fn1<A,Boolean>,Fn1<?,?>>>, Functor<Fn1<A,Boolean>,Fn1<A,?>>, Profunctor<A,Fn1<A,Boolean>,Fn1<?,?>>, Monad<Fn1<A,Boolean>,Fn1<A,?>>, MonadReader<A,Fn1<A,Boolean>,Fn1<A,?>>, MonadRec<Fn1<A,Boolean>,Fn1<A,?>>, MonadWriter<A,Fn1<A,Boolean>,Fn1<A,?>>

      public final class Eq<A>
      extends Object
      implements BiPredicate<A,A>

  Type-safe equality in function form; uses `Object.equals(java.lang.Object)`, not `==`.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `checkedApply(A x, A y)`
    `static <A> Eq<A>` | `eq()`
    `static <A> Predicate<A>` | `eq(A x)`
    `static <A> Boolean` | `eq(A x, A y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.specialized.BiPredicate

      `and, apply, contraMap, diMapL, discardR, flip, fromBiPredicate, negate, or, toBiPredicate, uncurry`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, checkedApply, compose, curried, curry, fn2, fromBiFunction, toBiFunction, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Boolean checkedApply(A x,
                                      A y)

      Specified by:
        `checkedApply` in interface `Fn2<A,A,Boolean>`

    - #### eq

          public static <A> Eq<A> eq()

    - #### eq

          public static <A> Predicate<A> eq(A x)

    - #### eq

          public static <A> Boolean eq(A x,
                                       A y)